/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mappings are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package jorm;

import org.objectweb.jorm.naming.api.PBinder;
import org.objectweb.jorm.naming.api.PExceptionNaming;
import org.objectweb.jorm.api.PExceptionProtocol;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.naming.api.PName;
import org.objectweb.jorm.naming.api.PNameCoder;
import org.objectweb.jorm.api.PSerializable;
import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PAccessorGen;
import org.objectweb.jorm.api.PClassMapping;

public class Wsclient2_WsClient2Serializable implements PSerializable, Wsclient2_WsClient2Accessor {

	//the pname of the object
	protected String pName;
	
		protected int field1;
			protected int field2;
			protected java.lang.String field3;
	
	public String setPName(PName pName){
		if(pName.codingSupported((short) PNameCoder.CTSTRING)){
			try{
				this.pName  = pName.encodeString();
			}
			catch(Exception e){
			}
		}
		else{
			this.pName = "null";
		}
		return this.pName;
	}
	
	public PName getPName(PBinder pnc) throws PExceptionNaming{
		try{
			return pnc.decodeString(pName);
		}catch (Exception e) {
              throw new PExceptionNaming("Cannot decode to a PName: " + e.getMessage());
        }
	}
	
	public String getClassName(){
		return "jorm.Wsclient2_WsClient2";
	}
	

	public void paSetField1(int val){
		field1 = val;
	}
	public int paGetField1() {
		return field1;
	}

	public void paSetField2(int val){
		field2 = val;
	}
	public int paGetField2() {
		return field2;
	}

	public void paSetField3(java.lang.String val){
		field3 = val;
	}
	public java.lang.String paGetField3() {
		return field3;
	}

	public Object getMemoryInstance(){
		return this;
	}
	
	
	public String toString(){
		StringBuffer s = new StringBuffer();
		s.append("data(");
					s.append(field1 + ",  ");
					s.append(field2 + ",  ");
					s.append(field3 + ",  ");
				s.append(pName + ")");
		return s.toString();
	}
	
	
	public void read(PClassMapping pcm, PAccessor pa) throws PException{
		Wsclient2_WsClient2Accessor paccessor = null;
		PAccessorGen paccessorGen = null;
		if (pa == null)
			throw new PException("Accessor must not be null");
		else if (pa instanceof Wsclient2_WsClient2Accessor)
			paccessor = (Wsclient2_WsClient2Accessor) pa;
		else if (pa instanceof PAccessorGen)
			paccessorGen = (PAccessorGen) pa;
		else
			throw new PException("Wrong type of accessor: " + pa);
	 	try {	
			if(paccessor != null){
											paccessor.paSetField1(paGetField1());
															paccessor.paSetField2(paGetField2());
															paccessor.paSetField3(paGetField3());
							 			}
 			else{
	  		 			        		//paccessorGen.paSetIntField("field1", paGetField1(pcm), null);
	        			 			        		//paccessorGen.paSetIntField("field2", paGetField2(pcm), null);
	        			 			        		//paccessorGen.paSetStringField("field3", paGetField3(pcm), null);
	        			        	 }  
		}
 		catch (PException pe) {
			throw pe;
		} catch (Exception e) {
			throw new PException(e.toString());
		} 
	}
	
	public void write(PClassMapping pcm, PAccessor pa) throws PException{
		Wsclient2_WsClient2Accessor paccessor = null;
		PAccessorGen paccessorGen = null;
		if (pa == null)
			throw new PExceptionProtocol("Accessor must not be null");
		else if (pa instanceof Wsclient2_WsClient2Accessor)
			paccessor = (Wsclient2_WsClient2Accessor) pa;
		else if (pa instanceof PAccessorGen)
			paccessorGen = (PAccessorGen) pa;
		else
			throw new PExceptionProtocol("Wrong type of accessor: " + pa);
		try {	
			if(paccessor != null){
											paSetField1(paccessor.paGetField1());
															paSetField2(paccessor.paGetField2());
															paSetField3(paccessor.paGetField3());
							 			}
 			else{
	  		 				        	//	paSetIntField(field1, paccessorGen.paGetField1());
        		//paSetIntField("field1", paccessorGen.paGetIntField("field1"));
        		//paSetField1(paccessorGen.paGetIntField("field1"), null);
	        			 				        	//	paSetIntField(field2, paccessorGen.paGetField2());
        		//paSetIntField("field2", paccessorGen.paGetIntField("field2"));
        		//paSetField2(paccessorGen.paGetIntField("field2"), null);
	        			 				        	//	paSetStringField(field3, paccessorGen.paGetField3());
        		//paSetStringField("field3", paccessorGen.paGetStringField("field3"));
        		//paSetField3(paccessorGen.paGetStringField("field3"), null);
	        			        	 }  
		}
 		catch (PException pe) {
			throw pe;
		} catch (Exception e) {
			throw new PException(e.toString());
		} 
	}
}