/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCDataSource.java,v 1.1 2004/03/09 00:12:41 ehardesty Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.dbm;

// JOnAS imports
import org.objectweb.jonas.management.j2eemanagement.J2EEManagedObject;

/**
 * MBean class for JDBCDataSource Management
 *
 * @author Eric Hardesty JSR 77 (J2EE Management Standard)
 *
 */
public class JDBCDataSource extends J2EEManagedObject {

    // JSR 77
    private String jdbcDriver = null;
    
    public JDBCDataSource(String objectName) {
        super(objectName);
    }

    public String getJdbcDriver() {
        return jdbcDriver;
    }

    public void setJdbcDriver(String jdbcDriverObjectName) {
		jdbcDriver = jdbcDriverObjectName;
    }
}
