/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JmxService.java,v 1.6 2004/05/11 08:03:56 danesa Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.jmx;

import javax.management.MBeanServer;
import javax.management.remote.JMXServiceURL;

import org.objectweb.jonas.service.Service;

/**
 * JMX Service interface
 *
 */

public interface JmxService extends Service {

    /**
     * @return The reference of the MBean server
     */
    MBeanServer getJmxServer();
    /**
     * @return The name of the MBean server's rmi connector
     */
    String getRmiConnectorName();

    /**
     * @return The name of the JOnAS server
     */
    String getServerName();

    /**
     * @return The name of the management domain
     */
    String getDomainName();

    JMXServiceURL[] getConnectorServerURLs();
}
