/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JavaMailMimePartDSResourceMBean.java,v 1.2 2004/01/27 12:59:25 danesa Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.mail.factory;

import java.util.Properties;

/**
 * This interface defines all the MBean methods provided by the JavaMailMimePartDS objects.
 */
public interface JavaMailMimePartDSResourceMBean extends JavaMailResourceMBean {

    /**
     * Get the mimePartDatasource properties.
     * @return the mimePartDatasource properties
     */
    Properties getMimeMessageProperties();

    /**
     * Set the mimePartDatasource properties.
     * @param props the mimePartDatasource properties
     */
    void setMimeMessageProperties(Properties props);

}
