/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.management.j2eemanagement;

import java.util.List;

public interface J2EEDomainMBean {
    /**
     * @return The list of object names corresponding to the servers associated with this domain
     */
    public List getServers();
    /**
     * Add an object name to the <code>servers</code> list.
     * @param serverName Object name of a J2EEServer managed object associated with this domain
     */
    public void addServer(String serverName);
    /**
     * Remove an object name from the <code>servers</code> list.
     * @return Object name of a server associated with this domain
     */
    public String removeServer(String serverName);
}
