/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * --------------------------------------------------------------------------
 * $Id: ResourceObjectJNDIHandler.java,v 1.3 2004/03/19 14:31:51 sauthieg Exp $
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.resource;


import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.Name;
import javax.naming.Reference;
import javax.naming.spi.ObjectFactory;

/**
 *
 * @author Eric Hardesty
 * Contributor(s): 
 *
 */
public class ResourceObjectJNDIHandler implements ObjectFactory {

    public Object getObjectInstance(Object refObj, Name name, Context nameCtx, Hashtable env) throws Exception {
	Reference ref = (Reference) refObj;

	if (ref == null) {
        System.out.println("No reference found");
	    return null;
	}
	String clname = ref.getClassName();
	String raname = (String)ref.get(ResourceServiceImpl.JNDI_NAME).getContent();
	return ResourceServiceImpl.getResourceObject(raname);
    }
}
