/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: F_GeneratedServiceUsage.java,v 1.3 2004/06/02 08:40:12 sauthieg Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.service;

import javax.rmi.PortableRemoteObject;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.objectweb.jonas.jtests.beans.wsclient.WsClient2;
import org.objectweb.jonas.jtests.beans.wsclient.WsClient2Home;

/**
 * test case for web service usage (client side)
 */
public class F_GeneratedServiceUsage extends A_ServiceUsage {

    protected static final String BEAN_HOME = "WsClient2Home";

    protected WsClient2Home home = null;

    public F_GeneratedServiceUsage(String name) {
        super(name);
    }

    public static Test suite() {
        return new TestSuite(F_GeneratedServiceUsage.class);
    }

    public void setUp() throws Exception {
        super.setUp();
    }

    public void tearDown() throws Exception {
        super.tearDown();
    }

    protected WsClient2Home getHome() throws Exception {
        if (home == null) {
            home = (WsClient2Home) PortableRemoteObject.narrow(ictx.lookup(BEAN_HOME), WsClient2Home.class);
        }
        assertTrue(home != null);
        return home;
    }

    public void testJNDILookupWithJNDIName() throws Exception {
        WsClient2 wsc = getHome().create(10, 20, "AB");
        assertFalse("lookup with jndi name must fail!", wsc.lookupServiceJNDI());
        wsc.remove();
    }

    public void testJNDILookupWithServiceRefName() throws Exception {
        WsClient2 wsc = getHome().create(11, 20, "AC");
        assertTrue("lookup with service-ref-name fail", wsc.lookupServiceName());
        wsc.remove();
    }

    public void testGetServiceAndUse() throws Exception {
        WsClient2 wsc = getHome().create(12, 20, "AD");
        String[] pairs = wsc.getAllServiceNames();
        assertNotNull("incorrect return for getAllServiceNames", pairs);

        wsc.remove();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args
        for (int argn = 0; argn < args.length; argn++) {
            String s_arg = args[argn];
            Integer i_arg;
            if (s_arg.equals("-n")) {
                testtorun = args[++argn];
            }
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new F_GeneratedServiceUsage(testtorun));
        }
    }

}