package org.objectweb.jonas.jtests.servlets.endpoint;

import java.util.ArrayList;
import java.util.Map;
import java.util.Hashtable;

public class AddressBookImpl implements AddressBook {

    private Map addresses;

    public AddressBookImpl() {
        addresses = new Hashtable();
        Address a = new Address();
        a.setName("JOnAS");
        a.setCompany("ObjectWeb Consortium");
        a.setVersion(4.0f);
        addresses.put(a.getName(), a);
    }

    public void addAddress(Address addr) throws AddressBookException {
        if (isPresent(addr.getName())) {
            throw new AddressBookException("Address " + addr + " already present in Book");
        }

        addresses.put(addr.getName(), addr);
    }

    public Address getAddress(String name) {
        return (Address) addresses.get(name);
    }

    public ArrayList getAddresses() {
        return new ArrayList(addresses.values());
    }
    
    public boolean isPresent(String name) {
        return (getAddress(name) != null);
    }
}
